package production

import "shylinux.com/x/ice"

type story struct{ Table }

func init() { ice.TeamCtxCmd(story{}) }

type StoryType int

const (
	StorySystem StoryType = iota
	StoryEnterprise
	StoryCustom
)

var StoryTypeList = map[StoryType]string{
	StorySystem:     "system",
	StoryEnterprise: "enterprise",
	StoryCustom:     "custom",
}

func (s StoryType) String() string { return StoryTypeList[s] }
