package operation

import "shylinux.com/x/ice"

type release struct {
	Table
	fields string `data:"title,content"`
	create string `name:"create title* content*" role:"leader"`
	remove string `name:"remove" role:"leader"`
}

func (s release) Create(m *ice.Message, arg ...string) { s.ValueCreate(m, arg...) }
func (s release) Remove(m *ice.Message, arg ...string) { s.ValueRemove(m, arg...) }
func (s release) List(m *ice.Message, arg ...string)   { s.ValueList(m, arg).Display("") }

func init() { ice.TeamCtxCmd(release{}) }
